Summary:        Mozilla's CA certificate bundle in PEM format
Name:           perl-Mozilla-CA
Version:        20211001
Release:        5%{?dist}
License:        MPLv2.0
URL:            https://metacpan.org/release/Mozilla-CA
Source0:        https://cpan.metacpan.org/authors/id/A/AB/ABH/Mozilla-CA-%{version}.tar.gz

Patch3000:      Mozilla-CA-20211001-Redirect-to-ca-certificates-bundle.patch

BuildRequires:  coreutils make perl-generators perl-interpreter
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76 perl(Test)
BuildRequires:  ca-certificates perl(strict) perl(File::Spec) 
Requires:       ca-certificates      

BuildArch:      noarch

%description
Mozilla::CA provides a path to ca-certificates copy of Mozilla's 
bundle ofcertificate authority certificates in a form that can be 
consumed by modules and libraries based on OpenSSL.

%prep
%autosetup -n Mozilla-CA-%{version} -p1

rm lib/Mozilla/CA/cacert.pem
rm mk-ca-bundle.pl
perl -i -ne 'print $_ unless m{^mk-ca-bundle\.pl$}' MANIFEST

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
%make_install
%{_fixperms} -c %{buildroot}

%check
make test

%files
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 20211001-5
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Aug 16 2023 Xiaojie Chen <jackxjchen@tencent.com> - 20211001-4
- Remove perl(:MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 20211001-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 20211001-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Aug 18 2022 Wang Zhe <bessiewang@tencent.com> - 20211001-1
- initial build
